Reverse an existing SnapMirror relationship
Reverses an existing SnapMirror relationship, changing the direction of replication between the source and destination volumes. Use this when the relationship is healthy and idle to enable replication in the opposite direction.
HTTP method and endpoint
POST /replication/reverse/{destinationWorkingEnvironmentId}/{destinationSvmName}/{destinationVolumeName}
Usage notes
This method can only be performed when the relationship has already been established and is healthy and idle.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
destinationWorkingEnvironmentId |
string |
path |
True |
|
destinationSvmName |
string |
path |
True |
|
destinationVolumeName |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
sourceSvmName |
string |
True |
SVM name |
sourceVolumeName |
string |
True |
volume name |
sourceWorkingEnvironmentId |
string |
True |
System ID |
Example request
{
"sourceSvmName": "string",
"sourceVolumeName": "string",
"sourceWorkingEnvironmentId": "string"
}
Error
Status: Default, Default response